Index: /trunk/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4553)
+++ /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4760)
@@ -273,4 +273,5 @@
 Less than	expressoMail1_2	pt-br	Menor que
 l_important	expressoMail1_2	pt-br	Importantes
+Limit reached folders	expressoMail1_2	pt-br	Limite de pastas atingido!
 Link	expressoMail1_2	pt-br	Link
 List All	expressoMail1_2	pt-br	Listar Tudo
@@ -460,4 +461,5 @@
 Service unavailable	expressoMail1_2	pt-br	Serviço não disponível
 Set Date	expressoMail1_2	pt-br	Informar data
+Share folders	admin	pt-br	Compartilhar Pastas
 Shared folders	expressoMail1_2	pt-br	Pastas compartilhadas
 Shared options saved with success	expressoMail1_2	pt-br	Opções de compartilhamento salvas com sucesso.
@@ -646,5 +648,9 @@
 Increases the maximum size of show emails from 100kb to 1mb'	expressoMail1_2	pt-br	Essa opção aumenta o tamanho máximo dos emails mostrados de 100KB para 1MB.
 If you want to install a desktop shortcut for accessing the offline ExpressoMail please confirm it after pressing the Install offline button. </br> The application also can be accessed using the URL:	expressoMail1_2	pt-br	Caso deseje instalar um ícone no desktop para acesso ao expressoMail offline, confirme a pergunta que aparecerá após clicar no botão "instalar offline". <br />A aplicação também pode ser acessada pela URL:
+Your rule contains any accented character. The filter may not work. Do you wish to continue?	expressoMail1_2	en	Sua regra contem algum caracter acentuado. O filtro pode nao funcionar. Deseja continuar?
 The selected folder cotain any accented character. The filter dont work with accented folders. Please, rename the folder or choose another folder.	expressoMail1_2	pt-br	A pasta selecionada contém algum caracter acentuado. O filtro não funcionada com pastas acentuadas. Por favor, mude o nome da pasta ou escolha outra.
+Do you want to use x origin in source menssage?	admin	pt-br	Deseja utilizar o X-Origin na fonte da mensagem?
+Send this mail as text plain	expressoMail1_2	pt-br	Enviar este e-mail como texto simples
+The text format will be lost	expressoMail1_2	pt-br	A formatação do texto será perdida
 Warning	expressoMail1_2	pt-br	Atenção
 Discard	expressoMail1_2	pt-br	Descartar
@@ -661,2 +667,4 @@
 Send this mail as text plain	expressoMail1_2	pt-br	Enviar este e-mail como texto simples
 The text format will be lost	expressoMail1_2	pt-br	A formatação do texto será perdida
+Error exporting messages, try again latter	expressoMail1_2	pt-br	Não foi possível exportar as mensagens selecionadas.
+Exporting selected messages, this can take some time.	expressoMail1_2	pt-br	Exportando mensagens, isso pode levar algum tempo.
Index: /trunk/expressoMail1_2/js/connector.js
===================================================================
--- /trunk/expressoMail1_2/js/connector.js	(revision 4476)
+++ /trunk/expressoMail1_2/js/connector.js	(revision 4760)
@@ -278,10 +278,10 @@
 	{	
 		try
-		{ 
+		{
 			this.oxmlhttp = new XMLHttpRequest();
 			this.oxmlhttp.overrideMimeType('text/xml');
 		}
 		catch (e)
-		{ 
+		{
 			try
 			{
@@ -289,5 +289,5 @@
 			}
 			catch (e1)
-			{ 
+			{
 				try
 				{
@@ -429,9 +429,13 @@
 	// Cancel Request Connector
 	cConnector.prototype.cancelRequest = function (){
-		if (!this.requests[this.tid]){
+
+                if (!this.requests[this.tid]){
 			return false;
 		}
-		this.oxmlhttp.onreadystatechange = null;
-		this.requests[this.tid].abort();
+		//this.oxmlhttp.onreadystatechange = null;
+                this.requests[this.tid].abort();
+                delete this.requests[this.tid];
+		this.requests[this.tid] = null;
+		
 		this.hideProgressBar();
 	}
Index: /trunk/expressoMail1_2/js/local_messages.js
===================================================================
--- /trunk/expressoMail1_2/js/local_messages.js	(revision 4724)
+++ /trunk/expressoMail1_2/js/local_messages.js	(revision 4760)
@@ -1277,7 +1277,38 @@
 	var msgs_to_export_id = get_selected_messages();
     }
+    var flag = true;
     var handler_local_mesgs_to_export = function(data){
+        document.getElementById('lertOverlay').style.display='none';
+        document.getElementById('lertContainer').style.display='none';
+        document.getElementById('lertContainer').innerHTML = '';
+        flag = false;
 	download_attachments(null, null, data, null,null,'mensagens.zip');
     }
+
+        var cancel = new LertButton(get_lang('cancel'), function(){flag=false;connector.cancelRequest();});
+     var titulo = '<b>' + get_lang('Warning') + '!</b>';
+     var message = get_lang("Exporting selected messages, this can take some time.");
+        var multConfirm = new Lert(
+                titulo,
+                message,
+                [cancel],
+                {
+                        defaultButton:cancel,
+                        icon:'js/lert/images/dialog-help.gif'
+                });
+        multConfirm.display();
+
+        var timeOut = function(){
+            if(flag){
+                document.getElementById('lertOverlay').style.display='none';
+                document.getElementById('lertContainer').style.display='none';
+                document.getElementById('lertContainer').innerHTML = '';
+                connector.cancelRequest();
+                write_msg(get_lang('Error exporting messages, try again latter'));
+                }
+
+        }
+        window.setTimeout(timeOut,300000);
+
     if(msgs_to_export_id){
 	this.init_local_messages();